# Function zSchema

- zSchema<T, U extends ZodRawShape, V extends ZodTypeAny = ZodTypeAny>(
  schema: ZodObject<U, "strip", V, T, T>,
  ): ZodObject<U, "strip", V, T, T>

  #### Type Parameters

  - T
  - U extends ZodRawShape
  - V extends ZodTypeAny = ZodTypeAny

  #### Parameters

  - schema: ZodObject<U, "strip", V, T, T>

  #### Returns ZodObject<U, "strip", V, T, T>

  - Defined in jamespot-user-api/src/util/zod.ts:16